# ComplexRecipe (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.inventory, interface: ComplexRecipe

Package org.bukkit.inventory

# Interface ComplexRecipe

All Superinterfaces:
  `net.kyori.adventure.key.Keyed`, `Keyed`, `Recipe`

public interface ComplexRecipe extends Recipe, Keyed
Represents a complex recipe which has imperative server-defined behavior, eg armor dyeing. Note: Since a complex recipe has dynamic outputs, `Recipe.getResult()` will sometimes return an AIR ItemStack.

## Method Summary

### Methods inherited from interface org.bukkit.Keyed

`getKey, key`

### Methods inherited from interface org.bukkit.inventory.Recipe

`getResult`